summaryrefslogtreecommitdiff
path: root/deps/gyp/test/mac/type_envvars/test_bundle_loadable_module.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gyp/test/mac/type_envvars/test_bundle_loadable_module.sh')
-rwxr-xr-xdeps/gyp/test/mac/type_envvars/test_bundle_loadable_module.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/deps/gyp/test/mac/type_envvars/test_bundle_loadable_module.sh b/deps/gyp/test/mac/type_envvars/test_bundle_loadable_module.sh
new file mode 100755
index 0000000000..ea985f5194
--- /dev/null
+++ b/deps/gyp/test/mac/type_envvars/test_bundle_loadable_module.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Copyright (c) 2012 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+test $MACH_O_TYPE = mh_bundle
+test $PRODUCT_TYPE = com.apple.product-type.bundle
+test $PRODUCT_NAME = bundle_loadable_module
+test $FULL_PRODUCT_NAME = bundle_loadable_module.bundle
+
+test $EXECUTABLE_NAME = bundle_loadable_module
+test $EXECUTABLE_PATH = \
+ "bundle_loadable_module.bundle/Contents/MacOS/bundle_loadable_module"
+test $WRAPPER_NAME = bundle_loadable_module.bundle
+
+[[ ! $DYLIB_INSTALL_NAME_BASE && ${DYLIB_INSTALL_NAME_BASE-_} ]]
+[[ ! $LD_DYLIB_INSTALL_NAME && ${LD_DYLIB_INSTALL_NAME-_} ]]
+
+"$(dirname "$0")/test_check_sdkroot.sh"